Subject: Re: [spring] Updated draft-gandhi-spring-twamp-srpm and draft-gandhi-spring-stamp-srpm

From: Greg Mirsky <[email-masked]>
Date: Sun, 5 Apr 2020 15:47:13 -0700

Hi Rakesh,
thank you for your thoughtful consideration of our discussion. I have a
couple of questions to draft-gandhi-spring-twamp-srpm and hope you can
clarify if I understand it correctly. In section 4.1 the process of
selecting the destination IP address described s follows:

   When
   known, the reflector IPv4 or IPv6 address is used as the destination
   address.  If not known, the address in the range of 127/8 for IPv4 or
   0:0:0:0:0:FFFF:7F00/104 for IPv6 is used as destination address.

And Figure 2 presents an IP packet with the DM probe query message. I can
imagine how the presented IP packet is encapsulated in SR-MPLS. Can you
kindly clarify how it works in the case of SRv6? Would it be IP-over-SRv6
encapsulation? And I'm somewhat confused by the condition "if [refletor's
IP address] not known". When this case might be used?
Also, I've been explained that the proper notation of IPv6 addresses that
are IPv4-mapped IPv4 loopback addresses is ::ffff:127.0.0.0/104.

Regards,
Greg

On Wed, Mar 25, 2020 at 7:59 AM Rakesh Gandhi <[email-masked]>
wrote:

> Hi WG,
>
> Trust everyone is doing well.
>
> Authors have updated the SR PM draft for TWAMP (RFC 5357) and moved the
> STAMP (now RFC 8762) extensions into a separate draft, as the SR PM
> extensions are for two different RFCs and protocols. This was also a
> feedback from the WG.
>
> Name: draft-gandhi-spring-twamp-srpm
> Title: Performance Measurement Using TWAMP Light for Segment Routing
> Networks
> URL:
> https://www.ietf.org/internet-drafts/draft-gandhi-spring-twamp-srpm-08.txt
> Status:
> https://datatracker.ietf.org/doc/draft-gandhi-spring-twamp-srpm/
> Htmlized:
> https://tools.ietf.org/html/draft-gandhi-spring-twamp-srpm-08
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-gandhi-spring-twamp-srpm
> Diff:
> https://www.ietf.org/rfcdiff?url2=draft-gandhi-spring-twamp-srpm-08
>
> Name: draft-gandhi-spring-stamp-srpm
> Title: Performance Measurement Using STAMP for Segment Routing Networks
> URL:
> https://www.ietf.org/internet-drafts/draft-gandhi-spring-stamp-srpm-00.txt
> Status:
> https://datatracker.ietf.org/doc/draft-gandhi-spring-stamp-srpm/
> Htmlized:
> https://tools.ietf.org/html/draft-gandhi-spring-stamp-srpm-00
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-gandhi-spring-stamp-srpm
>
> Many thanks for your feedback on this work.
> Welcome your additional review comments and suggestions.
>
> Thanks,
> Rakesh (for authors)
>
>
> _______________________________________________
> spring mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spring
>